> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/1.3/configuration.md).

# Configuration

Fluent Bit is flexible enough to be configured either from the command line or through a configuration file. For production environments, we strongly recommend to use the configuration file approach.

Note that all configuration files use a specific fixed and strict schema, please proceed to the following sections for a better understanding:

* [File Schema](/manual/1.3/configuration/schema.md) (must read)
* [Configuration Files](/manual/1.3/configuration/file.md)
* [Configuration Variables](/manual/1.3/configuration/variables.md)
* [Configuration Commands](/manual/1.3/configuration/commands.md)
* [Monitoring](/manual/1.3/configuration/monitoring.md)
* [Unit Sizes](/manual/1.3/configuration/unit_sizes.md)
* [TLS / SSL](/manual/1.3/configuration/tls_ssl.md)
* [Backpressure](/manual/1.3/configuration/backpressure.md)
* [Memory Usage](/manual/1.3/configuration/memory_usage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentbit.io/manual/1.3/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
